curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetLangs": [
"<string>"
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs"
payload = { "targetLangs": ["<string>"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetLangs: ['<string>']})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'targetLangs' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs"
payload := strings.NewReader("{\n \"targetLangs\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"targetLangs\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetLangs\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_bodyRemove target languages
Removes the specified target languages from the project. Removal is blocked for a language that still has jobs, translation memories or term bases assigned to it.
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetLangs": [
"<string>"
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs"
payload = { "targetLangs": ["<string>"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetLangs: ['<string>']})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'targetLangs' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs"
payload := strings.NewReader("{\n \"targetLangs\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"targetLangs\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/targetLangs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetLangs\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
List of target language codes to remove from the project (e.g. de, fr-CA). Removal is blocked for a language if any of the following are assigned to the project for that language: an active or trashed job (jobs in the recycle bin also block removal; list trashed jobs via GET /api2/v2/projects/{projectUid}/jobs?trashed=true), a translation memory, or a term base. Removal is also blocked when it would leave the project with no target languages. All blocked languages are listed in the 400 error response.
1 - 2147483647 elementsResponse
No Content
Was this page helpful?